Package org.drinkless.tdlib

# Class TdApi.MessageSponsor

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.MessageSponsor

Enclosing class:
  TdApi

public static class TdApi.MessageSponsor extends TdApi.Object
Information about the sponsor of a message.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `String`
  `info`
  Additional optional information about the sponsor to be shown along with the message.
  `TdApi.Photo`
  `photo`
  Photo of the sponsor; may be null if must not be shown.
  `String`
  `url`
  URL of the sponsor to be opened when the message is clicked.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `MessageSponsor()`
  Information about the sponsor of a message.
  `MessageSponsor(String url, TdApi.Photo photo, String info)`
  Information about the sponsor of a message.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Object

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### url

    public String url
    URL of the sponsor to be opened when the message is clicked.

  - ### photo

    @Nullable public TdApi.Photo photo
    Photo of the sponsor; may be null if must not be shown.

  - ### info

    public String info
    Additional optional information about the sponsor to be shown along with the message.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### MessageSponsor

    public MessageSponsor()
    Information about the sponsor of a message.

  - ### MessageSponsor

    public MessageSponsor(String url, TdApi.Photo photo, String info)
    Information about the sponsor of a message.
    Parameters:
      `url` - URL of the sponsor to be opened when the message is clicked.
      `photo` - Photo of the sponsor; may be null if must not be shown.
      `info` - Additional optional information about the sponsor to be shown along with the message.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.Object`
    Returns:
      this.CONSTRUCTOR